package com.liquidnet.service.account.wallet.service;

import com.liquidnet.service.account.wallet.entity.FinBizTrans;
import com.liquidnet.service.account.wallet.vo.WalletDashboardInfoVo;
import com.liquidnet.service.account.wallet.vo.WalletTransactionInfoVo;

import java.util.List;
import java.util.Map;

/**
 * FinBizTransService.class
 *
 * @author zhanggb
 * Created by IntelliJ IDEA at 2020/10/20
 */
public interface FinBizTransService {

    int add(FinBizTrans record);

    int update(FinBizTrans record);

    List<FinBizTrans> queryTransToBeCalculated(int limitSize);

    List<WalletTransactionInfoVo> queryTransDetails(Map<String, Object> parameter);

    List<WalletDashboardInfoVo> queryTransBalanceStats(Map<String, Object> parameter);
}
